<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('checkouts', function (Blueprint $table) {
            $table->id();
            $table->string('product_id');
            $table->string('email');
            $table->string('phone');
            $table->string('fname');
            $table->string('lname');
            $table->string('street');
            $table->string('appertment');
            $table->string('zipcode');
            $table->string('note');
            $table->string('user_id');
            $table->string('delivered_type');
            $table->string('payment_types');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('checkouts');
    }
};
